com.google.cloud.spanner.jdbc

## Class JdbcSqlExceptionFactory

- java.lang.Object
- - com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory

    public final class JdbcSqlExceptionFactory
    extends Object

Factory class for creating `SQLException`s for Cloud Spanner

### Nested Class Summary

Nested Classes
`static class` `JdbcSqlExceptionFactory.JdbcAbortedDueToConcurrentModificationException` Specific `SQLException` that is thrown when a transaction was aborted and could not be retried due to a concurrent modification.
`static class` `JdbcSqlExceptionFactory.JdbcAbortedException` Specific `SQLException` that is thrown when a transaction was aborted and could not be successfully retried.
`static class` `JdbcSqlExceptionFactory.JdbcSqlBatchUpdateException` Specific `SQLException` that is thrown when a `SpannerBatchUpdateException` occurs.
`static class` `JdbcSqlExceptionFactory.JdbcSqlClientInfoException` Specific `SQLException` that is thrown when setting client info on a connection
`static class` `JdbcSqlExceptionFactory.JdbcSqlExceptionImpl` Base `SQLException` for Cloud Spanner
`static class` `JdbcSqlExceptionFactory.JdbcSqlFeatureNotSupportedException` Specific `SQLException` that is thrown for unsupported methods and values
`static class` `JdbcSqlExceptionFactory.JdbcSqlTimeoutException` Specific `SQLException` that is thrown when a statement times out

### Constructor Summary

Constructors
Constructor and Description
`JdbcSqlExceptionFactory()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcSqlExceptionFactory

    public JdbcSqlExceptionFactory()